### Function

# Peas ExtensionSetForeachFunc

#### Declaration

    void
    (* PeasExtensionSetForeachFunc) (
      PeasExtensionSet* set,
      PeasPluginInfo* info,
      GObject* extension,
      gpointer data
    )

#### Description [src]

This function is passed to `peas_extension_set_foreach()` and will be called for each extension in `set`.

#### Parameters

`set`

  Type: `PeasExtensionSet`

  A `PeasExtensionSet`.

  The data is owned by the caller of the function.

`info`

  Type: `PeasPluginInfo`

  A `PeasPluginInfo`.

  The data is owned by the caller of the function.

`extension`

  Type: `GObject`

  The extension instance.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Optional data passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.